## cascading.tuple.coerce
Class BigDecimalCoerce

    java.lang.Object
      cascading.tuple.coerce.Coercions.Coerce<BigDecimal>
          cascading.tuple.coerce.BigDecimalCoerce

All Implemented Interfaces:
  CoercibleType<BigDecimal>, Serializable, Type

    public class BigDecimalCoerce

extends Coercions.Coerce<BigDecimal>

See Also:
  Serialized Form

Constructor Summary
`protected` `BigDecimalCoerce(Map<Type,Coercions.Coerce> map)`

Method Summary
`BigDecimal` `coerce(Object value)`
`Class<BigDecimal>` `getCanonicalType()`

Methods inherited from class cascading.tuple.coerce.Coercions.Coerce
`canonical, coerce, equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BigDecimalCoerce

    protected BigDecimalCoerce(Map<Type,Coercions.Coerce> map)

Method Detail

### getCanonicalType

    public Class<BigDecimal> getCanonicalType()

  Returns:
    the actual Java type this CoercibleType represents

### coerce

    public BigDecimal coerce(Object value)

  Specified by:
    `coerce` in class `Coercions.Coerce<BigDecimal>`

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.